Bug 1519281 - Remove leftovers from bug 1490765. r=nalexander
authorMike Hommey <mh+mozilla@glandium.org>
Fri, 11 Jan 2019 05:02:07 +0000
changeset 510547 65511e8d7a7e0df5df7c4b7c96ffc3cbd2590db3
parent 510546 245d6855cd3bcb4ff5afd2ab9cc90ce2cedf8a00
child 510548 c908cdfffe306ae3c461c54ae24c6c9882985592
push id10547
push userffxbld-merge
push dateMon, 21 Jan 2019 13:03:58 +0000
treeherdermozilla-beta@24ec1916bffe [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersnalexander
bugs1519281, 1490765
milestone66.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1519281 - Remove leftovers from bug 1490765. r=nalexander Differential Revision: https://phabricator.services.mozilla.com/D16269
build/autoconf/hooks.m4
build/autoconf/subconfigure.m4
build/subconfigure.py
old-configure.in
--- a/build/autoconf/hooks.m4
+++ b/build/autoconf/hooks.m4
@@ -7,17 +7,16 @@ define([_MOZ_AC_INIT_PREPARE], defn([AC_
 define([AC_INIT_PREPARE],
 [_MOZ_AC_INIT_PREPARE($1)
 
 test "x$prefix" = xNONE && prefix=$ac_default_prefix
 # Let make expand exec_prefix.
 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
 
 > subconfigures
-> skip_subconfigures
 ])
 
 define([AC_OUTPUT_SUBDIRS],
 [for moz_config_dir in $1; do
   _CONFIG_SHELL=${CONFIG_SHELL-/bin/sh}
   case "$moz_config_dir" in
   *:*)
     objdir=$(echo $moz_config_dir | awk -F: '{print [$]2}')
@@ -49,34 +48,25 @@ define([AC_OUTPUT_SUBDIRS],
   esac
 
   eval $dumpenv $PYTHON $_topsrcdir/build/subconfigure.py --prepare "$srcdir" "$moz_config_dir" "$_CONFIG_SHELL" $ac_configure_args ifelse($2,,,--cache-file="$2")
 
   dnl Actual subconfigure execution happens in MOZ_RUN_CONFIG_STATUS
 done
 ])
 
-define([AC_OUTPUT_SUBDIRS_NOW],
-[
-for moz_config_dir_ in $1; do
-  AC_OUTPUT_SUBDIRS($moz_config_dir_,$2)
-  tail -1 subconfigures >> skip_subconfigures
-  MOZ_RUN_SUBCONFIGURES(`tail -1 skip_subconfigures`)
-done
-])
-
 define([MOZ_RUN_SUBCONFIGURES],
 [dnl Execute subconfigure, unless --no-recursion was passed to configure.
 if test "$no_recursion" != yes; then
   trap '' EXIT
   if ! $PYTHON $_topsrcdir/build/subconfigure.py $1; then
       exit 1
   fi
 fi
 ])
 
 define([MOZ_RUN_ALL_SUBCONFIGURES],[
-MOZ_RUN_SUBCONFIGURES([--list subconfigures --skip skip_subconfigures])
+MOZ_RUN_SUBCONFIGURES([--list subconfigures])
 ])
 
 dnl Print error messages in config.log as well as stderr
 define([AC_MSG_ERROR],
 [{ echo "configure: error: $1" 1>&2; echo "configure: error: $1" 1>&5; exit 1; }])
deleted file mode 100644
--- a/build/autoconf/subconfigure.m4
+++ /dev/null
@@ -1,46 +0,0 @@
-dnl We are not running in a real autoconf environment. So we're using real m4
-dnl here, not the crazier environment that autoconf provides.
-
-dnl Autoconf expects [] for quotes; give it to them
-changequote([, ])
-
-dnl AC_DEFUN is provided to use instead of define in autoconf. Provide it too.
-define([AC_DEFUN], [define($1, [$2])])
-
-dnl AC_ARG_ENABLE(FEATURE, HELP-STRING, IF-TRUE[, IF-FALSE])
-dnl We have to ignore the help string due to how help works in autoconf...
-AC_DEFUN([MOZ_AC_ARG_ENABLE],
-[#] Check whether --enable-[$1] or --disable-[$1] was given.
-[if test "[${enable_]patsubst([$1], -, _)+set}" = set; then
-  enableval="[$enable_]patsubst([$1], -, _)"
-  $3
-ifelse([$4], , , [else
-  $4
-])dnl
-fi
-])
-
-dnl AC_MSG_ERROR(error-description)
-AC_DEFUN([AC_MSG_ERROR], [{ echo "configure: error: $1" 1>&2; exit 1; }])
-
-AC_DEFUN([AC_MSG_WARN],  [ echo "configure: warning: $1" 1>&2 ])
-
-dnl Add the variable to the list of substitution variables
-AC_DEFUN([AC_SUBST],
-[
-_subconfigure_ac_subst_args="$_subconfigure_ac_subst_args $1"
-])
-
-dnl Override for AC_DEFINE.
-AC_DEFUN([AC_DEFINE],
-[
-cat >>confdefs.h <<\EOF
-[#define] $1 ifelse($#, 2, [$2], $#, 3, [$2], 1)
-EOF
-cat >> confdefs.pytmp <<\EOF
-    (''' $1 ''', ifelse($#, 2, [r''' $2 '''], $#, 3, [r''' $2 '''], ' 1 '))
-EOF
-])
-
-dnl AC_OUTPUT_SUBDIRS(subdirectory)
-AC_DEFUN([AC_OUTPUT_SUBDIRS], [do_output_subdirs "$1"])
--- a/build/subconfigure.py
+++ b/build/subconfigure.py
@@ -377,27 +377,22 @@ def run(objdir):
 
     return ret
 
 
 def subconfigure(args):
     parser = argparse.ArgumentParser()
     parser.add_argument('--list', type=str,
                         help='File containing a list of subconfigures to run')
-    parser.add_argument('--skip', type=str,
-                        help='File containing a list of Subconfigures to skip')
     parser.add_argument('subconfigures', type=str, nargs='*',
                         help='Subconfigures to run if no list file is given')
     args, others = parser.parse_known_args(args)
     subconfigures = args.subconfigures
     if args.list:
         subconfigures.extend(open(args.list, 'rb').read().splitlines())
-    if args.skip:
-        skips = set(open(args.skip, 'rb').read().splitlines())
-        subconfigures = [s for s in subconfigures if s not in skips]
 
     if not subconfigures:
         return 0
 
     ret = 0
     for subconfigure in subconfigures:
         returncode = run(subconfigure)
         ret = max(returncode, ret)
--- a/old-configure.in
+++ b/old-configure.in
@@ -3844,27 +3844,16 @@ if test -z "$direct_nspr_config"; then
     HOST_CFLAGS="$_SUBDIR_HOST_CFLAGS"
     HOST_CXXFLAGS="$_SUBDIR_HOST_CXXFLAGS"
     HOST_LDFLAGS="$_SUBDIR_HOST_LDFLAGS"
 fi
 
 unset MAKEFILES
 unset CONFIG_FILES
 
-# Run all configure scripts specified by a subconfigure
-if test -n "$_subconfigure_subdir"; then
-  _save_srcdir="$srcdir"
-  srcdir="$srcdir/.."
-  _save_ac_configure_args="$ac_configure_args"
-  ac_configure_args="$_subconfigure_config_args"
-  AC_OUTPUT_SUBDIRS_NOW("$_subconfigure_subdir",$cache_file)
-  ac_configure_args="$_save_ac_configure_args"
-  srcdir="$_save_srcdir"
-fi
-
 if test "$COMPILE_ENVIRONMENT" -a "$MOZ_WIDGET_TOOLKIT"; then
 
 
 dnl ========================================================
 dnl = Setup a nice relatively clean build environment for
 dnl = sub-configures.
 dnl ========================================================
 CC="$_SUBDIR_CC"